Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2966 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Chyba v pravidle rozvinu

 Odpovědět Odpovědět archiv
Autor
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 277
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Chyba v pravidle rozvinu
    Zasláno: 24.čvc.2018 v 14:41
Ahoj, 
mám pravidlo které funguje ale když uložím sestavu která obsahuje díl s tímto pravidlem, tak mi to vyhodí chybu:


Připojené náhledyPřihlaste se pro zobrazení plné verze - 4903/pravidlo_dxf.JPG



jinak pravidlo nezlobí. neví někdo co s tím?
    
  Dim FilePath As String
    FilePath = ThisDoc.Path & "\EXPORT\"                                                                        'Kam se ma export rozvinu ulozit?
    
    If ThisApplication.ActiveDocument.ComponentDefinition.HasFlatPattern = False Then                    'Ma dil rozvin?
       ThisApplication.ActiveDocument.ComponentDefinition.Unfold                                        'Pokud ne, vytvor rozvin
    Else
       ThisApplication.ActiveDocument.ComponentDefinition.FlatPattern.Edit                                'Pokud ano, skoc do editace
    End If

    Dim fSett As String
    fSett = "FLAT PATTERN DXF?AcadVersion=2000&InvisibleLayers=IV_UNCONSUMEND_SKETCHES;IV_TANGENT;IV_BEND;IV_BEND_DOWN;IV_TOOL_CENTER;IV_TOOL_CENTER_DOWN;IV_ARC_CENTERS;IV_FEATURE_PROFILES_DOWN;IV_ALTREP_FRONT;IV_ALTREP_BACK;IV_TE�NA_SVINUT�;IV_ROLL&SplineTolerance Double 0.01"                    'Nastaveni exportu
    
    Dim fSname As String
    fSname = FilePath & ThisDoc.FileName(False) & ".dxf"                                                'Nastaveni ulozeni cesta+nazev
    
    ThisApplication.ActiveDocument.ComponentDefinition.DataIO.WriteDataToFile( fSett, fSname)             'Save s nastavenim fSett a do cesty fSname

  
ThisApplication.ActiveDocument.ComponentDefinition.FlatPattern.ExitEdit        
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio a.s.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1057
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Navara Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 24.čvc.2018 v 14:50
Rozhodně nedoporučuju používání lokálních pravidel pro generování rozvinů!
Chyba je v nesprávném použití
ThisApplication.ActiveDocument
To odkazuje na aktuálně otevřený dokument místo toho, nad kterým je potřeba provádět pravidlo. Tam je potřeba použít
ThisDoc.Document
 
 A i to doporučuju použít maximálně jednou a výsledek si uložit o proměnné
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 6994:Jak zadat K-Faktor ohybu plechu?
Tip 11554:Jak nastavit K-Faktor a další parametry rozvinu plechu ve Fusion 360?
Tip 8304:Jak v Inventoru rozvinout plechová tělesa z jiných CAD aplikací?
Tip 10718:Jak do výkresu přidat název pravidla rozvinu plechu?
Tip 5266:VIPPřepnutí rozvinovacího jádra Inventoru 11.
Tip 11500:VIPNastavení barvy pozadí výkresového listu Inventoru pomocí iLogic


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,344 sekund.